WordPress.org

Plugin Directory

NetPay API Payment Method For WooCommerce

This Payment Gateway For WooCommerce extends the functionality of WooCommerce to accept payments from credit/debit cards using netpay.co.uk Gateway

NetPay Payment Gateway for WooCommerce

makes your website ready to use NetPay API Method to accept credit/debit cards on your ecommerce store in safe way.

NetPay is most widely used payment gateway to process payments online and accepts Visa, MasterCard, Maestro, Amex, Dinners, and other variants of cards.

With API Integration Method the payer will enter the card information on Merchant’s e-commerce web site. The plugin fully support 3D Secure Card Validation and Tokenization. All these features are optional and Merchant can enable or disable on module configuration.

When 3D Secure Card Validation is enabled, the payer will be redirected to issuer bank’s validation page if the card supports 3D Secure Validation. Once the card validated by the bank, the payer will be redirected to Merchant’s e-commerce web site and payment will process. After successful payment, the payer will be redirected to Merchant’s confirmation page otherwise if any error occurred, the payer will be notified with error message on checkout page.

When Tokenization is enabled, merchant can able to store the payer’s card information against a Token on NetPay’s secure servers. The payer can able to give permission to Merchant to store card information on checkout page.

Merchant needs to obtain SSL Certification and PCI DSS Certification.

Tested with WP3.8.2 through to WP 4.1, WooCommerce version 2.0.20 through to WooCommerce 2.2.10

Features

Few features of this plugin:

  1. Easy to install and configure
  2. Option to configure accepted Cards
  3. Safe way to process credit cards and debit cards on WooCommerce using NetPay API and 3D Secure method
  4. This plugin use API solution provided by NetPay and payment is processed on secured servers of NetPay

Requires: 3.0.1 or higher
Compatible up to: 4.1.5
Last Updated: 2015-1-8
Active Installs: 10+

Ratings

0 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.